# DataExchange
TKSTEPBase
StepGeom

# StepGeom_Array1OfSurfaceBoundary Class Reference

`#include <StepGeom_Array1OfSurfaceBoundary.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepGeom_Array1OfSurfaceBoundary (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepGeom_Array1OfSurfaceBoundary (const StepGeom_SurfaceBoundary &Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const StepGeom_SurfaceBoundary &V)
Standard_EXPORT void | Destroy ()
| ~StepGeom_Array1OfSurfaceBoundary ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const StepGeom_Array1OfSurfaceBoundary & | Assign (const StepGeom_Array1OfSurfaceBoundary &Other)
const StepGeom_Array1OfSurfaceBoundary & | operator= (const StepGeom_Array1OfSurfaceBoundary &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const StepGeom_SurfaceBoundary &Value)
const StepGeom_SurfaceBoundary & | Value (const Standard_Integer Index) const
const StepGeom_SurfaceBoundary & | operator() (const Standard_Integer Index) const
StepGeom_SurfaceBoundary & | ChangeValue (const Standard_Integer Index)
StepGeom_SurfaceBoundary & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | StepGeom_Array1OfSurfaceBoundary (const StepGeom_Array1OfSurfaceBoundary &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_Array1OfSurfaceBoundary::StepGeom_Array1OfSurfaceBoundary | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepGeom_Array1OfSurfaceBoundary::StepGeom_Array1OfSurfaceBoundary | ( | const StepGeom_SurfaceBoundary & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

StepGeom_Array1OfSurfaceBoundary::~StepGeom_Array1OfSurfaceBoundary | ( |  | ) | `[inline]`

Standard_EXPORT StepGeom_Array1OfSurfaceBoundary::StepGeom_Array1OfSurfaceBoundary | ( | const StepGeom_Array1OfSurfaceBoundary & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const StepGeom_Array1OfSurfaceBoundary& StepGeom_Array1OfSurfaceBoundary::Assign | ( | const StepGeom_Array1OfSurfaceBoundary & | Other | ) |

StepGeom_SurfaceBoundary& StepGeom_Array1OfSurfaceBoundary::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void StepGeom_Array1OfSurfaceBoundary::Destroy | ( |  | ) |

Standard_EXPORT void StepGeom_Array1OfSurfaceBoundary::Init | ( | const StepGeom_SurfaceBoundary & | V | ) |

Standard_Boolean StepGeom_Array1OfSurfaceBoundary::IsAllocated | ( |  | ) | const

Standard_Integer StepGeom_Array1OfSurfaceBoundary::Length | ( |  | ) | const

Standard_Integer StepGeom_Array1OfSurfaceBoundary::Lower | ( |  | ) | const

void StepGeom_Array1OfSurfaceBoundary::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepGeom_Array1OfSurfaceBoundary::operator new | ( | size_t | size | ) | `[inline]`

void* StepGeom_Array1OfSurfaceBoundary::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

StepGeom_SurfaceBoundary& StepGeom_Array1OfSurfaceBoundary::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const StepGeom_SurfaceBoundary& StepGeom_Array1OfSurfaceBoundary::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const StepGeom_Array1OfSurfaceBoundary& StepGeom_Array1OfSurfaceBoundary::operator= | ( | const StepGeom_Array1OfSurfaceBoundary & | Other | ) | `[inline]`

void StepGeom_Array1OfSurfaceBoundary::SetValue | ( | const Standard_Integer | Index,
|  | const StepGeom_SurfaceBoundary & | Value
| ) |

Standard_Integer StepGeom_Array1OfSurfaceBoundary::Upper | ( |  | ) | const

const StepGeom_SurfaceBoundary& StepGeom_Array1OfSurfaceBoundary::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean StepGeom_Array1OfSurfaceBoundary::isAllocated`[private]`

Standard_Integer StepGeom_Array1OfSurfaceBoundary::myLowerBound`[private]`

Standard_Address StepGeom_Array1OfSurfaceBoundary::myStart`[private]`

Standard_Integer StepGeom_Array1OfSurfaceBoundary::myUpperBound`[private]`

The documentation for this class was generated from the following file:

- StepGeom_Array1OfSurfaceBoundary.hxx